RDKit: RDKit::RDAny Struct Reference

| RDKit Open-source cheminformatics and machine learning.

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | List of all members
RDKit::RDAny Struct Reference

`#include <RDAny.h>`

## Public Member Functions
| RDAny ()
template<class T>
| RDAny (const T &d)
| RDAny (const RDAny &rhs)
| ~RDAny ()
RDAny & | operator= (const RDAny &rhs)
RDAny & | operator= (float d)
RDAny & | operator= (int d)
RDAny & | operator= (unsigned int d)
RDAny & | operator= (bool d)
RDAny & | operator= (const std::string &d)
RDAny & | operator= (const std::vector< double > &d)
RDAny & | operator= (const std::vector< float > &d)
RDAny & | operator= (const std::vector< int > &d)
RDAny & | operator= (const std::vector< unsigned int > &d)
RDAny & | operator= (const std::vector< std::string > &d)
RDAny & | operator= (const std::any &d)
template<class T>
RDAny & | operator= (const T &d)

## Public Attributes
RDValue | m_value

## Detailed Description

Definition at line 70 of file RDAny.h.

## Constructor & Destructor Documentation

## ◆ RDAny() [1/3]

RDKit::RDAny::RDAny | ( |  | ) |
| inline

Definition at line 73 of file RDAny.h.

References m_value.

Referenced by operator=(), operator=(), operator=(), operator=(), operator=(), operator=(), operator=(), operator=(), operator=(), operator=(), operator=(), operator=(), operator=(), and RDAny().

## ◆ RDAny() [2/3]

template<class T>

RDKit::RDAny::RDAny | ( | const T & | d | ) |
| inline

Definition at line 75 of file RDAny.h.

References m_value.

## ◆ RDAny() [3/3]

RDKit::RDAny::RDAny | ( | const RDAny & | rhs | ) |
| inline

Definition at line 83 of file RDAny.h.

References RDKit::copy_rdvalue(), m_value, and RDAny().

## ◆ ~RDAny()

RDKit::RDAny::~RDAny | ( |  | ) |
| inline

Definition at line 85 of file RDAny.h.

References RDKit::RDValue::cleanup_rdvalue(), and m_value.

## Member Function Documentation

## ◆ operator=() [1/13]

RDAny & RDKit::RDAny::operator= | ( | bool | d | ) |
| inline

Definition at line 115 of file RDAny.h.

References RDKit::RDValue::cleanup_rdvalue(), m_value, and RDAny().

## ◆ operator=() [2/13]

RDAny & RDKit::RDAny::operator= | ( | const RDAny & | rhs | ) |
| inline

Definition at line 92 of file RDAny.h.

References RDKit::copy_rdvalue(), m_value, and RDAny().

## ◆ operator=() [3/13]

RDAny & RDKit::RDAny::operator= | ( | const std::any & | d | ) |
| inline

Definition at line 157 of file RDAny.h.

References RDKit::RDValue::cleanup_rdvalue(), m_value, and RDAny().

## ◆ operator=() [4/13]

RDAny & RDKit::RDAny::operator= | ( | const std::string & | d | ) |
| inline

Definition at line 121 of file RDAny.h.

References RDKit::RDValue::cleanup_rdvalue(), m_value, and RDAny().

## ◆ operator=() [5/13]

RDAny & RDKit::RDAny::operator= | ( | const std::vector< double > & | d | ) |
| inline

Definition at line 127 of file RDAny.h.

References RDKit::RDValue::cleanup_rdvalue(), m_value, and RDAny().

## ◆ operator=() [6/13]

RDAny & RDKit::RDAny::operator= | ( | const std::vector< float > & | d | ) |
| inline

Definition at line 133 of file RDAny.h.

References RDKit::RDValue::cleanup_rdvalue(), m_value, and RDAny().

## ◆ operator=() [7/13]

RDAny & RDKit::RDAny::operator= | ( | const std::vector< int > & | d | ) |
| inline

Definition at line 139 of file RDAny.h.

References RDKit::RDValue::cleanup_rdvalue(), m_value, and RDAny().

## ◆ operator=() [8/13]

RDAny & RDKit::RDAny::operator= | ( | const std::vector< std::string > & | d | ) |
| inline

Definition at line 151 of file RDAny.h.

References RDKit::RDValue::cleanup_rdvalue(), m_value, and RDAny().

## ◆ operator=() [9/13]

RDAny & RDKit::RDAny::operator= | ( | const std::vector< unsigned int > & | d | ) |
| inline

Definition at line 145 of file RDAny.h.

References RDKit::RDValue::cleanup_rdvalue(), m_value, and RDAny().

## ◆ operator=() [10/13]

template<class T>

RDAny & RDKit::RDAny::operator= | ( | const T & | d | ) |
| inline

Definition at line 164 of file RDAny.h.

References RDKit::RDValue::cleanup_rdvalue(), m_value, and RDAny().

## ◆ operator=() [11/13]

RDAny & RDKit::RDAny::operator= | ( | float | d | ) |
| inline

Definition at line 97 of file RDAny.h.

References RDKit::RDValue::cleanup_rdvalue(), m_value, and RDAny().

## ◆ operator=() [12/13]

RDAny & RDKit::RDAny::operator= | ( | int | d | ) |
| inline

Definition at line 103 of file RDAny.h.

References RDKit::RDValue::cleanup_rdvalue(), m_value, and RDAny().

## ◆ operator=() [13/13]

RDAny & RDKit::RDAny::operator= | ( | unsigned int | d | ) |
| inline

Definition at line 109 of file RDAny.h.

References RDKit::RDValue::cleanup_rdvalue(), m_value, and RDAny().

## Member Data Documentation

## ◆ m_value

RDValue RDKit::RDAny::m_value

Definition at line 71 of file RDAny.h.

Referenced by RDKit::from_rdany(), operator=(), operator=(), operator=(), operator=(), operator=(), operator=(), operator=(), operator=(), operator=(), operator=(), operator=(), operator=(), operator=(), RDAny(), RDAny(), RDAny(), RDKit::rdany_cast(), RDKit::rdany_cast(), and ~RDAny().

The documentation for this struct was generated from the following file:

- RDAny.h